function [ table ] = ChromaDCHuffmanSymbolValuesPerCode( )
%ChromaDCHuffmanSymbolValuesPerCode The standard chroma DC Huffman Symbol value table
%
%   +EntropyCoding/ChromaDCHuffmanSymbolValuesPerCode.m
%   Part of 'MATLAB Image & Video Compression Demos'
%
%   The symbol values for the chroma DC Huffman tables as recommended by
%   the standard (the HUFFVALS array).
%
%   Ref: CCITT Rec. T.81 (1992 E) p. 158, Table K.4
%
%   Licensed under the 3-clause BSD license, see 'License.m'
%   Copyright (c) 2011, Stephen Ierodiaconou, University of Bristol.
%   All rights reserved.

table = [0 1 2 3 4 5 6 7 8 9 10 11];

end
